[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.ProcessID

ID of the process.

## Declaration

Source position: process.pp line 127

`public property TProcess.ProcessID : Integer read FProcessID;`

## Description

ProcessID is the ID of the process. It is the same as the handle of the process on Unix systems, but on Windows it is different from the process Handle.

The ID is only valid after TProcess.Execute has been called. It is not reset after the process stopped.

## See also

TProcess.Handle |  | Handle of the process
TProcess.ThreadHandle |  | Main process thread handle
TProcess.ThreadID |  | ID of the main process thread

Documentation generated on: Feb 26 2014